#
# spec file for package gssdp (Version 0.7.0)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           gssdp
Version:        0.7.0
Release:        5.4
Summary:        Library for resource discovery and announcement over SSDP
License:        LGPL v2 or later
Group:          Development/Libraries/C and C++
Url:            http://www.gupnp.org/
Source:         %{name}-%{version}.tar.bz2
BuildRequires:  glib2-devel
BuildRequires:  gtk2-devel
BuildRequires:  libsoup-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
gssdp offers a GObject-based API for handling resource discovery and
announcement over SSDP.

%package utils
License:        LGPL v2 or later
Summary:        Utilities for resource discovery and announcement over SSDP
Group:          Productivity/Networking/Other

%description utils
gssdp offers a GObject-based API for handling resource discovery and
announcement over SSDP.

This package contains a device sniffer.

%package -n libgssdp-1_0-2
License:        LGPL v2 or later
Summary:        Library for resource discovery and announcement over SSDP
Group:          Development/Libraries/C and C++

%description -n libgssdp-1_0-2
gssdp offers a GObject-based API for handling resource discovery and
announcement over SSDP.

%package -n libgssdp-devel
License:        LGPL v2 or later
Summary:        Library for resource discovery and announcement over SSDP - Development Files
Group:          Development/Libraries/C and C++
Requires:       libgssdp-1_0-2 = %{version}
Requires:       glib2-devel

%description -n libgssdp-devel
gssdp offers a GObject-based API for handling resource discovery and
announcement over SSDP.

%prep
%setup -q

%build
%configure --disable-static
%__make %{?jobs:-j%jobs}

%install
%makeinstall
find %{buildroot} -type f -name "*.la" -delete -print

%clean
rm -rf %{buildroot}

%post -n libgssdp-1_0-2 -p /sbin/ldconfig

%postun -n libgssdp-1_0-2 -p /sbin/ldconfig

%files utils
%defattr(-,root,root)
%{_bindir}/*
%{_datadir}/%{name}

%files -n libgssdp-1_0-2
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_libdir}/*.so.*

%files -n libgssdp-devel
%defattr(-,root,root)
%{_includedir}/%{name}-1.0
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%dir %{_datadir}/gtk-doc
%dir %{_datadir}/gtk-doc/html
%{_datadir}/gtk-doc/html/%{name}

%changelog
* Thu Oct  1 2009 dimstar@opensuse.org
- Rename libgssdp-1_0-1 to libgssdp-1_0-2. The update to 0.7.0
  bumped soNUM.
* Thu Sep 24 2009 dimstar@opensuse.org
- Update to version 0.7.0:
  + Join the multicast group on the specified interface.
  + Put the message src timeout in the specified GMainContext.
  + "host-ip" property moved from GUPnPContext to parent
    GSSDPClient.
  + Use inet_aton instead of inet_addr and handle the error from it
  + gssdp-device-sniffer ported to GtkBuilder.
  + Version-independent M-SEARCH response.
  + GSSDPClient now binds to interface rather than IP
  + Libglade dependency has been dropped.
- Remove libglade2-devel BuildRequires.
- Add gtk2-devel to BuildRequires.
* Sat Jun 13 2009 vuntz@novell.com
- Initial package.
